Bug 39262 - Update port: comms/hylafax ${PERL} -> ${REINPLACE_CMD}
Update port: comms/hylafax ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-14 10:10 UTC by obraun
Modified: 2002-06-27 14:32 UTC (History)
0 users

See Also:


Attachments
file.diff (532 bytes, patch)
2002-06-14 10:10 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:10:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-19 22:18:52 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/comms/hylafax/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- Makefile	2002/03/30 14:33:20	1.46
+++ Makefile	2002/06/19 21:18:11
@@ -34,6 +34,7 @@
 .endif
 MAKE_ARGS+=	OPTIMIZER="" -EOPTIMIZER
 
+USE_REINPLACE=	yes
 HAS_CONFIGURE=	yes
 CONFIGURE_ENV=	ENVOPTS="${CFLAGS}"
 
@@ -73,7 +74,7 @@
 
 .if ${LOCALBASE} != /usr/local
 post-patch:
-	${PERL} -pi -e 's^/usr/local^${LOCALBASE}^g' \
+	${REINPLACE_CMD} -e 's^/usr/local^${LOCALBASE}^g' \
 		`find work/hylafax-4.1 -type f -print0 | \
 			xargs -0 fgrep -l --mmap /usr/local`
 .endif
Comment 2 perky freebsd_committer 2002-06-27 14:32:30 UTC
State Changed
From-To: open->closed

Committed, Thanks!